Create recommendation configuration

Creates a new recommendation configuration.

Request

POST /reco

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/json

Request Body

FieldTypeRequiredDescription
namestringYesDisplay name for the recommendation.
activebooleanNoWhether the recommendation is active. Defaults to false.
recommendationTypestringNoAlgorithm type. One of: textSimilarity, boughtTogether, cartBased, userBased, pictureSimilarity, none. Defaults to textSimilarity.
casestringNoPreset case identifier. When provided, the configuration is pre-populated from the preset.

Example Request

{
  "name": "Similar Products",
  "active": true,
  "recommendationType": "textSimilarity"
}

Response

Returns the created recommendation configuration object.

Example Response

{
  "id": 2,
  "name": "Similar Products",
  "active": true,
  "recommendationType": "textSimilarity",
  "user": "[email protected]"
}